﻿#language: ru

@IIoT

Функционал: 05_IIoT.02.002 Получение и обработка данных датчиков

Сценарий: 05_IIoT.02.002 Выполнение рег.задания на получение данных с датчиков
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Обслуживание'
	Тогда открылось окно 'Обслуживание'
	И я разворачиваю группу "Регламентные операции"
	И я нажимаю на кнопку 'Регламентные и фоновые задания'
	Тогда открылось окно 'Регламентные и фоновые задания'
	И я жду, что в таблице "ТаблицаРегламентныеЗадания" количество строк будет "больше" 0 в течение 10 секунд
	И в таблице "ТаблицаРегламентныеЗадания" я перехожу к строке:
		| 'Вкл.' | 'Дата окончания'  | 'Наименование'         |
		| 'Нет'  | '<не определено>' | 'Получение данных ОПС' |
	И в таблице "ТаблицаРегламентныеЗадания" я нажимаю на кнопку 'Выполнить сейчас'
	И Пауза 5
	И в таблице "ТаблицаРегламентныеЗадания" я нажимаю на кнопку с именем 'ТаблицаРегламентныеЗаданияОбновитьДанные'
	И я жду, что в таблице "ТаблицаРегламентныеЗадания" количество строк будет "больше" 0 в течение 10 секунд
	И в таблице "ТаблицаРегламентныеЗадания" я перехожу к строке:
		| 'Вкл.' | 'Наименование'         |
		| 'Нет'  | 'Получение данных ОПС' |
	И в таблице "ТаблицаРегламентныеЗадания" у поля "Состояние" я жду значения "Задание выполнено" в течение 20 секунд
	И Я закрываю окно 'Регламентные и фоновые задания'
	Тогда открылось окно 'Обслуживание'
	И Я закрываю окно 'Обслуживание'

Сценарий: 05_IIoT.02.002 Проверка полученных данных
	И В командном интерфейсе я выбираю 'Производство' 'Получение данных ОПС'
	Тогда открылось окно 'Данные датчиков ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Вариант распределения материалов' | 'Дата обработки' | 'Датчик'                      | 'Значение' | 'Обработано' | 'Создаваемые документы' |
		| 'Не распределять'                  | 'Нет'            | 'Выпуск сливок без пересчета' | '250'      | 'Нет'        | 'Переработка'           |
	И в таблице "Список" я перехожу к строке:
		| 'Вариант распределения материалов' | 'Дата обработки' | 'Датчик'                              | 'Значение' | 'Обработано' | 'Создаваемые документы' |
		| 'Не распределять'                  | 'Нет'            | 'Выпуск сливок с пересчетом по норме' | '250'      | 'Нет'        | 'Переработка'           |
	И в таблице "Список" я перехожу к строке:
		| 'Вариант распределения материалов' | 'Дата обработки' | 'Датчик'                              | 'Значение' | 'Обработано' | 'Создаваемые документы' |
		| 'Не распределять'                  | 'Нет'            | 'Выпуск сливок с пересчетом по факту' | '250'      | 'Нет'        | 'Переработка'           |
	И в таблице "Список" я перехожу к строке:
		| 'Вариант распределения материалов' | 'Дата обработки' | 'Датчик'                     | 'Значение' | 'Обработано' | 'Создаваемые документы' |
		| 'Списывать выпуск по заданию'      | 'Нет'            | 'Выпуск смеси без пересчета' | '100'      | 'Нет'        | 'Переработка'           |
	И в таблице "Список" я перехожу к строке:
		| 'Вариант распределения материалов' | 'Дата обработки' | 'Датчик'                    | 'Значение' | 'Обработано' | 'Создаваемые документы' |
		| 'Списывать выпуск по заданию'      | 'Нет'            | 'Выпуск смеси с пересчетом' | '100'      | 'Нет'        | 'Переработка'           |
	И в таблице "Список" я перехожу к строке:
		| 'Дата обработки' | 'Датчик'                        | 'Значение' | 'Обработано' | 'Создаваемые документы'       |
		| 'Нет'            | 'Передача сливок без пересчета' | '50'       | 'Нет'        | 'Распоряжение на перемещение' |
	И в таблице "Список" я перехожу к строке:
		| 'Дата обработки' | 'Датчик'                       | 'Значение' | 'Обработано' | 'Создаваемые документы'       |
		| 'Нет'            | 'Передача сливок с пересчетом' | '50'       | 'Нет'        | 'Распоряжение на перемещение' |
	И Я закрываю окно 'Данные датчиков ОПС'

Сценарий: 05_IIoT.02.002 Запуск рег.задания на обработку данных датчиков
	И В командном интерфейсе я выбираю 'Администрирование' 'Обслуживание'
	Тогда открылось окно 'Обслуживание'
	И я разворачиваю группу "Регламентные операции"
	И я нажимаю на кнопку 'Регламентные и фоновые задания'
	Тогда открылось окно 'Регламентные и фоновые задания'
	И я жду, что в таблице "ТаблицаРегламентныеЗадания" количество строк будет "больше" 0 в течение 10 секунд
	И в таблице "ТаблицаРегламентныеЗадания" я перехожу к строке:
		| 'Вкл.' | 'Дата окончания'  | 'Наименование'         |
		| 'Нет'  | '<не определено>' | 'Обработать данные датчиков ОПС' |
	И в таблице "ТаблицаРегламентныеЗадания" я нажимаю на кнопку 'Выполнить сейчас'
	И в таблице "ТаблицаРегламентныеЗадания" у поля "Состояние" я жду значения "Задание выполнено" в течение 7 секунд
	И Я закрываю окно 'Регламентные и фоновые задания'
	Тогда открылось окно 'Обслуживание'
	И Я закрываю окно 'Обслуживание'